<?php

function squirrelmail_plugin_init_lockout() 
{

   global $squirrelmail_plugin_hooks;

   // we register against this hook and not something earlier,
   // such as login_before, since plugins such as vlogin might
   // still need to do some username remapping, etc
   //
   $squirrelmail_plugin_hooks['webmail_top']['lockout'] = 'check_lockout';

}


function check_lockout() 
{

   if (defined('SM_PATH'))
      include_once(SM_PATH . 'plugins/lockout/functions.php');
   else
      include_once('../plugins/lockout/functions.php');

   check_lockout_do();

}


function lockout_version() 
{

   return '1.3';

}

?>
